=== debian/changelog ===
libnmea (0.5.3) unstable; urgency=low
  * Initial package for maemo

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 09 Mar 2011 11:06:00 +0200
