=== debian/control ===
Source: libnmea
Section: libs
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, pkg-config
Standards-Version: 3.8.2
Homepage: http://nmea.sourceforge.net/

Package: libnmea
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NMEA Library
 Open source and free library in 'C' programming language for work with NMEA protocol.
 Features
 * Analysis NMEA sentences and granting GPS data in C structures
 * Generate NMEA sentences
 * Supported sentences: GPGGA, GPGSA, GPGSV, GPRMC, GPVTG
 * Multilevel architecture of algorithms
 * Additional functions of geographical mathematics and work with navigation data

Package: libnmea-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a (= ${binary:Version})
Description: NMEA library development files and static libraries
